org.jboss.resteasy.plugins.providers.validation

## Class ViolationsContainer<T>

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.validation.ViolationsContainer<T>

- All Implemented Interfaces:
    Serializable

      public class ViolationsContainer<T>
      extends Object
      implements Serializable

  Version:
    $Revision: 1.1 $ Copyright Mar 6, 2012
  Author:
    Ron Sigal
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViolationsContainer(Object target)`
    `ViolationsContainer(Set<ResteasyConstraintViolation> set)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClassViolation(ResteasyConstraintViolation v)`
    `void` | `addFieldViolation(ResteasyConstraintViolation v)`
    `void` | `addParameterViolation(ResteasyConstraintViolation v)`
    `void` | `addPropertyViolation(ResteasyConstraintViolation v)`
    `void` | `addReturnValueViolation(ResteasyConstraintViolation v)`
    `void` | `addViolations(Set<? extends ResteasyConstraintViolation> set)`
    `List<ResteasyConstraintViolation>` | `getClassViolations()`
    `Exception` | `getException()`
    `List<ResteasyConstraintViolation>` | `getFieldViolations()`
    `List<ResteasyConstraintViolation>` | `getParameterViolations()`
    `List<ResteasyConstraintViolation>` | `getPropertyViolations()`
    `List<ResteasyConstraintViolation>` | `getReturnValueViolations()`
    `Object` | `getTarget()`
    `void` | `setException(Exception exception)`
    `void` | `setTarget(Object target)`
    `int` | `size()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ViolationsContainer

          public ViolationsContainer(Object target)

    - #### ViolationsContainer

          public ViolationsContainer(Set<ResteasyConstraintViolation> set)

  - ### Method Detail

    - #### getException

          public Exception getException()

    - #### setException

          public void setException(Exception exception)

    - #### getTarget

          public Object getTarget()

    - #### setTarget

          public void setTarget(Object target)

    - #### addViolations

          public void addViolations(Set<? extends ResteasyConstraintViolation> set)

    - #### addFieldViolation

          public void addFieldViolation(ResteasyConstraintViolation v)

    - #### addPropertyViolation

          public void addPropertyViolation(ResteasyConstraintViolation v)

    - #### addClassViolation

          public void addClassViolation(ResteasyConstraintViolation v)

    - #### addParameterViolation

          public void addParameterViolation(ResteasyConstraintViolation v)

    - #### addReturnValueViolation

          public void addReturnValueViolation(ResteasyConstraintViolation v)

    - #### getFieldViolations

          public List<ResteasyConstraintViolation> getFieldViolations()

    - #### getPropertyViolations

          public List<ResteasyConstraintViolation> getPropertyViolations()

    - #### getClassViolations

          public List<ResteasyConstraintViolation> getClassViolations()

    - #### getParameterViolations

          public List<ResteasyConstraintViolation> getParameterViolations()

    - #### getReturnValueViolations

          public List<ResteasyConstraintViolation> getReturnValueViolations()

    - #### size

          public int size()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.